Skip to main content
GET
/
secrets
curl https://production.methodfi.com/secrets \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "data": [
    {
      "id": "sec_au22b1fbFrmfp",
      "metadata": {},
      "created_at": "2025-12-04T18:50:54.024Z",
      "updated_at": "2025-12-04T18:50:54.024Z",
      "status": "active",
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns all Secrets associated with your team, or an empty array if none have been created.

Query Parameters

Returns

Returns a list of Secret objects. The value field is redacted in the response.
curl https://production.methodfi.com/secrets \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "data": [
    {
      "id": "sec_au22b1fbFrmfp",
      "metadata": {},
      "created_at": "2025-12-04T18:50:54.024Z",
      "updated_at": "2025-12-04T18:50:54.024Z",
      "status": "active",
    }
  ]
}